commit:     8c81c7e3e33cd3258d78241aec3023a63a172ecf
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Sat Jan  8 10:20:00 2022 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Sat Jan  8 10:36:02 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8c81c7e3

dev-python/pypugjs: add 5.9.10

Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 dev-python/pypugjs/Manifest              |  1 +
 dev-python/pypugjs/pypugjs-5.9.10.ebuild | 43 ++++++++++++++++++++++++++++++++
 2 files changed, 44 insertions(+)

diff --git a/dev-python/pypugjs/Manifest b/dev-python/pypugjs/Manifest
index b56fe0c54d9a..6a11d910da85 100644
--- a/dev-python/pypugjs/Manifest
+++ b/dev-python/pypugjs/Manifest
@@ -1 +1,2 @@
+DIST pypugjs-5.9.10.tar.gz 48890 BLAKE2B 
474a7d4bffaac17e282d7cd910cafc58d9d25d2d1250159cafe454e6a706eaaa9937c31129061c96b8a1f5eb008344e446ea3d86d0e9f02cefc614653ce6cdfe
 SHA512 
f7bfe3567c40f485e048710c31d40ed008a85353f48169056a6f5e48907bf7999b0142b32b45ff413e08aef81811039af9384c86c259adb4d8458cbca422eefb
 DIST pypugjs-5.9.9.tar.gz 49022 BLAKE2B 
26bdad4bd951eb8e515a0c181a56f68a8fdf8131dbd9e61c32c266bd91575143006f3cb6c2f477a2406110b22ed279a1167821a1b1f403a73bb333013173db2a
 SHA512 
f34fab60e4f9d0680a36e5d2a28c5f99668c13b296a1bb70778dced235d223c592d49adbadc2f70b1a7e350f28a2f29dbce8febe2b8e99d60a0e050254180c71

diff --git a/dev-python/pypugjs/pypugjs-5.9.10.ebuild 
b/dev-python/pypugjs/pypugjs-5.9.10.ebuild
new file mode 100644
index 000000000000..d56f4b88fa06
--- /dev/null
+++ b/dev-python/pypugjs/pypugjs-5.9.10.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} )
+inherit distutils-r1 optfeature
+
+DESCRIPTION="Pug (Jade) syntax adapter for Django, Jinja2 and Mako templates"
+HOMEPAGE="https://github.com/kakulukia/pypugjs";
+SRC_URI="https://github.com/kakulukia/pypugjs/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64"
+
+RDEPEND="
+       dev-python/six[${PYTHON_USEDEP}]
+       dev-python/chardet[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       test? (
+               dev-python/django[${PYTHON_USEDEP}]
+               dev-python/jinja[${PYTHON_USEDEP}]
+               dev-python/mako[${PYTHON_USEDEP}]
+               www-servers/tornado[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests nose
+
+src_prepare() {
+       # Remove pyramid backend as pyramid isn't packaged
+       rm -r pypugjs/ext/pyramid || die
+       distutils-r1_src_prepare
+}
+
+pkg_postinst() {
+       optfeature "converting to Django output" dev-python/django
+       optfeature "converting to Jinja2 output" dev-python/jinja
+       optfeature "converting to Mako output" dev-python/mako
+       optfeature "converting to Tornado output" www-servers/tornado
+}

Reply via email to